var smithable = true; var cookableID = 20; var cooking = 60; var cookingWD = "Melting Sand"; 
var cookMax = 100; var smithXP = 1; var itemID = 12; var damage = 0;

metalConsume(itemID,smithable,cookableID,cooking,cookingWD,cookMax,smithXP);

if (godMode != true)
{var meta = false; var main = player.getInventory().getCurrentItem();
var offhand = player.getInventory().getOffhandItem();
var setID = 12; var setMD = 0; var falling = true;
var vec = player.getLookVec(); var pos = player.getPosition();
var lastAirPos = [pos.x, pos.y, pos.z]; var check = lastAirPos; sCond = 0;
function whenPlaced () {sound.playSoundUI("sound.sandBuild");}
placeBlock(itemID, damage, setID, setMD, falling, maxdist, meta, vec, pos, lastAirPos, main, offhand, check);}